/*
 * Copyright 2011 Raster Software Vigo
 *
 * This file is part of ttos
 *
 * ttos is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * ttos is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

/*
 * bitmaps.h
 *
 *  Created on: 20/09/2010
 *      Author: raster
 */

#ifndef BITMAPS_H_
#define BITMAPS_H_

#include <stdint.h>

#include "blit.h"

struct _bitmap_container {

	TTOS_Surface *bitmap;
	Cstring filename;
};

TTOS_Surface *bitmaps_load(Cstring filename);
void bitmaps_unload(TTOS_Surface *bitmap);
void bitmaps_free_container(void *element);
TTOS_Surface *bitmaps_load_TGA(Cstring filename);

#endif /* BITMAPS_H_ */
